#[derive(Debug)]
#[cfg_attr(test, derive(PartialEq))]
pub struct ApplicationVersion {
    pub version: String,
}

impl ApplicationVersion {
    pub fn new(version: impl Into<String>) -> Self {
        Self {
            version: version.into(),
        }
    }
}

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    fn test_new() {
        let version = "version";
        let app_version = ApplicationVersion::new(version.to_owned());
        assert_eq!(version, app_version.version);
    }
}
